Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -104,5 +104,5 @@
 !
 !-- If required, compute temporal average
-    IF ( averaging_interval_pr == 0.0 )  THEN
+    IF ( averaging_interval_pr == 0.0_wp )  THEN
        hom_sum(:,:,:) = hom(:,1,:,:)
     ELSE
@@ -308,5 +308,5 @@
 !
 !-- If averaging has been done above, the summation counter must be re-set.
-    IF ( averaging_interval_pr /= 0.0 )  THEN
+    IF ( averaging_interval_pr /= 0.0_wp )  THEN
        average_count_pr = 0
     ENDIF
Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -111,6 +111,6 @@
               pts_value_l(0:number_of_particle_groups,dopts_num) )
 
-    pts_value_l = 0.0
-    pts_value_l(:,16) = 9999999.9    ! for calculation of minimum radius
+    pts_value_l = 0.0_wp
+    pts_value_l(:,16) = 9999999.9_wp    ! for calculation of minimum radius
 
 !
@@ -135,6 +135,6 @@
           pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3 ! mean sgsw
        ENDIF
-       IF ( particles(n)%speed_z > 0.0 )  THEN
-          pts_value_l(0,12) = pts_value_l(0,12) + 1.0  ! # of upward moving prts
+       IF ( particles(n)%speed_z > 0.0_wp )  THEN
+          pts_value_l(0,12) = pts_value_l(0,12) + 1.0_wp  ! # of upward moving prts
           pts_value_l(0,13) = pts_value_l(0,13) + &
                                             particles(n)%speed_z ! mean w upw.
@@ -170,6 +170,6 @@
              pts_value_l(j,11) = pts_value_l(j,11) + particles(n)%rvar3
           ENDIF
-          IF ( particles(n)%speed_z > 0.0 )  THEN
-             pts_value_l(j,12) = pts_value_l(j,12) + 1.0
+          IF ( particles(n)%speed_z > 0.0_wp )  THEN
+             pts_value_l(j,12) = pts_value_l(j,12) + 1.0_wp
              pts_value_l(j,13) = pts_value_l(j,13) + particles(n)%speed_z
           ELSE
@@ -179,6 +179,6 @@
           pts_value_l(j,16) = MIN( pts_value(j,16), particles(n)%radius )
           pts_value_l(j,17) = MAX( pts_value(j,17), particles(n)%radius )
-          pts_value_l(j,18) = pts_value_l(j,18) + 1.0
-          pts_value_l(j,19) = pts_value_l(j,19) + 1.0
+          pts_value_l(j,18) = pts_value_l(j,18) + 1.0_wp
+          pts_value_l(j,19) = pts_value_l(j,19) + 1.0_wp
 
        ENDIF
@@ -221,14 +221,14 @@
     DO  j = 0, inum
 
-       IF ( pts_value(j,1) > 0.0 )  THEN
+       IF ( pts_value(j,1) > 0.0_wp )  THEN
 
           pts_value(j,2:15) = pts_value(j,2:15) / pts_value(j,1)
-          IF ( pts_value(j,12) > 0.0  .AND.  pts_value(j,12) < 1.0 )  THEN
+          IF ( pts_value(j,12) > 0.0_wp  .AND.  pts_value(j,12) < 1.0_wp )  THEN
              pts_value(j,13) = pts_value(j,13) / pts_value(j,12)
-             pts_value(j,14) = pts_value(j,14) / ( 1.0 - pts_value(j,12) )
-          ELSEIF ( pts_value(j,12) == 0.0 )  THEN
-             pts_value(j,13) = -1.0
+             pts_value(j,14) = pts_value(j,14) / ( 1.0_wp - pts_value(j,12) )
+          ELSEIF ( pts_value(j,12) == 0.0_wp )  THEN
+             pts_value(j,13) = -1.0_wp
           ELSE
-             pts_value(j,14) = -1.0
+             pts_value(j,14) = -1.0_wp
           ENDIF
 
@@ -323,5 +323,5 @@
     DO  j = 0, inum
 
-       IF ( pts_value(j,1) > 0.0 )  THEN
+       IF ( pts_value(j,1) > 0.0_wp )  THEN
           pts_value(j,20:28) = pts_value(j,20:28) / pts_value(j,1)
        ENDIF
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -183,5 +183,5 @@
 !
 !--    Reset spectra values
-       spectrum_x = 0.0; spectrum_y = 0.0
+       spectrum_x = 0.0_wp; spectrum_y = 0.0_wp
 
     ENDIF
@@ -242,5 +242,5 @@
 
           DO  i = 1, nx/2
-             frequency = 2.0 * pi * i / ( dx * ( nx + 1 ) )
+             frequency = 2.0_wp * pi * i / ( dx * ( nx + 1 ) )
              netcdf_data_x(i) = frequency * spectrum_x(i,k,nsp)
           ENDDO
@@ -260,5 +260,5 @@
 
           DO  i = 1, ny/2
-             frequency = 2.0 * pi * i / ( dy * ( ny + 1 ) )
+             frequency = 2.0_wp * pi * i / ( dy * ( ny + 1 ) )
              netcdf_data_y(i) = frequency * spectrum_y(i,k,nsp)
           ENDDO
@@ -317,5 +317,5 @@
     LOGICAL            ::  frame_written   !:
     
-    REAL(wp)           ::  frequency = 0.0 !:
+    REAL(wp)           ::  frequency = 0.0_wp !:
 !
 !-- Variables needed for PROFIL-namelist
@@ -344,14 +344,14 @@
     LOGICAL ::  ylog = .TRUE.   !:
     
-    REAL(wp) ::  gwid = 0.1    !:
-    REAL(wp) ::  rlegfak = 0.7 !:
-    REAL(wp) ::  uxmin         !:
-    REAL(wp) ::  uxmax         !:
-    REAL(wp) ::  uymin         !:
-    REAL(wp) ::  uymax         !:
+    REAL(wp) ::  gwid = 0.1_wp    !:
+    REAL(wp) ::  rlegfak = 0.7_wp !:
+    REAL(wp) ::  uxmin            !:
+    REAL(wp) ::  uxmax            !:
+    REAL(wp) ::  uymin            !:
+    REAL(wp) ::  uymax            !:
      
-    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6 !:
-    REAL(wp), DIMENSION(100)   ::  uyma       !:
-    REAL(wp), DIMENSION(100)   ::  uymi       !:
+    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6_wp !:
+    REAL(wp), DIMENSION(100)   ::  uyma          !:
+    REAL(wp), DIMENSION(100)   ::  uymi          !:
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
@@ -406,7 +406,7 @@
 !-- Write all data and calculate uymi and uyma. They serve to calculate
 !-- the CROSS-parameters uymin and uymax
-    uymi = 999.999; uyma = -999.999
+    uymi = 999.999_wp; uyma = -999.999_wp
     DO  i = 1, nx/2
-       frequency = 2.0 * pi * i / ( dx * ( nx + 1 ) )
+       frequency = 2.0_wp * pi * i / ( dx * ( nx + 1 ) )
        WRITE ( 82, 102 )  frequency, ( frequency * spectrum_x(i,k,m), k = 1, &
                           n_sp_x )
@@ -431,6 +431,6 @@
              klist(i) = k + klist_x
           ELSE
-             uymi(k) =  999.999
-             uyma(k) = -999.999
+             uymi(k) =  999.999_wp
+             uyma(k) = -999.999_wp
           ENDIF
           k = k + 1
@@ -438,15 +438,15 @@
        i = i + 1
     ENDDO
-    uymi(k:n_sp_x) =  999.999
-    uyma(k:n_sp_x) = -999.999
+    uymi(k:n_sp_x) =  999.999_wp
+    uyma(k:n_sp_x) = -999.999_wp
     utext = 'x'//utext_char( pr )
-    IF ( averaging_interval_sp /= 0.0 ) THEN
+    IF ( averaging_interval_sp /= 0.0_wp ) THEN
        WRITE ( atext, 104 )  averaging_interval_sp
        utext = TRIM(utext) // ',  ' // TRIM( atext )
     ENDIF
-    uxmin = 0.8 * 2.0 * pi        / ( dx * ( nx + 1 ) )
-    uxmax = 1.2 * 2.0 * pi * nx/2 / ( dx * ( nx + 1 ) )
-    uymin = 0.8 * MIN (  999.999, MINVAL ( uymi ) )
-    uymax = 1.2 * MAX ( -999.999, MAXVAL ( uyma ) )
+    uxmin = 0.8_wp * 2.0_wp * pi        / ( dx * ( nx + 1 ) )
+    uxmax = 1.2_wp * 2.0_wp * pi * nx/2 / ( dx * ( nx + 1 ) )
+    uymin = 0.8_wp * MIN (  999.999_wp, MINVAL ( uymi ) )
+    uymax = 1.2_wp * MAX ( -999.999_wp, MAXVAL ( uyma ) )
     ytext = ytext_char( pr )
 
@@ -520,5 +520,5 @@
     LOGICAL            :: frame_written   !:
     
-    REAL(wp)           :: frequency = 0.0 !:
+    REAL(wp)           :: frequency = 0.0_wp !:
 
 !
@@ -548,15 +548,15 @@
     LOGICAL ::  ylog = .TRUE.   !:
     
-    REAL(wp) ::  gwid = 0.1     !:
-    REAL(wp) ::  rlegfak = 0.7  !:
-    REAL(wp) ::  uxmin          !:
-    REAL(wp) ::  uxmax          !:
-    REAL(wp) ::  uymin          !:
-    REAL(wp) ::  uymax          !:
-    
-    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6 !:
-    
-    REAL(wp), DIMENSION(100)   ::  uyma       !:
-    REAL(wp), DIMENSION(100)   ::  uymi       !:
+    REAL(wp) ::  gwid = 0.1_wp     !:
+    REAL(wp) ::  rlegfak = 0.7_wp  !:
+    REAL(wp) ::  uxmin             !:
+    REAL(wp) ::  uxmax             !:
+    REAL(wp) ::  uymin             !:
+    REAL(wp) ::  uymax             !:
+    
+    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6_wp !:
+    
+    REAL(wp), DIMENSION(100)   ::  uyma          !:
+    REAL(wp), DIMENSION(100)   ::  uymi          !:
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
@@ -611,7 +611,7 @@
 !-- Write all data and calculate uymi and uyma. They serve to calculate
 !-- the CROSS-parameters uymin and uymax
-    uymi = 999.999; uyma = -999.999
+    uymi = 999.999_wp; uyma = -999.999_wp
     DO  j = 1, ny/2
-       frequency = 2.0 * pi * j / ( dy * ( ny + 1 ) )
+       frequency = 2.0_wp * pi * j / ( dy * ( ny + 1 ) )
        WRITE ( 84, 102 ) frequency, ( frequency * spectrum_y(j,k,m), &
                                       k = 1, n_sp_y ) 
@@ -636,6 +636,6 @@
              klist(j) = k + klist_y
           ELSE
-             uymi(k) =  999.999
-             uyma(k) = -999.999
+             uymi(k) =  999.999_wp
+             uyma(k) = -999.999_wp
           ENDIF
           k = k + 1
@@ -643,15 +643,15 @@
        j = j + 1
     ENDDO
-    uymi(k:n_sp_y) =  999.999
-    uyma(k:n_sp_y) = -999.999
+    uymi(k:n_sp_y) =  999.999_wp
+    uyma(k:n_sp_y) = -999.999_wp
     utext = 'y'//utext_char( pr )
-    IF ( averaging_interval_sp /= 0.0 )  THEN
+    IF ( averaging_interval_sp /= 0.0_wp )  THEN
        WRITE ( atext, 104 )  averaging_interval_sp
        utext = TRIM(utext) // ',  ' // TRIM( atext )
     ENDIF
-    uxmin = 0.8 * 2.0 * pi        / ( dy * ( ny + 1 ) )
-    uxmax = 1.2 * 2.0 * pi * ny/2 / ( dy * ( ny + 1 ) )
-    uymin = 0.8 * MIN (  999.999, MINVAL ( uymi ) )
-    uymax = 1.2 * MAX ( -999.999, MAXVAL ( uyma ) )
+    uxmin = 0.8_wp * 2.0_wp * pi        / ( dy * ( ny + 1 ) )
+    uxmax = 1.2_wp * 2.0_wp * pi * ny/2 / ( dy * ( ny + 1 ) )
+    uymin = 0.8_wp * MIN (  999.999_wp, MINVAL ( uymi ) )
+    uymax = 1.2_wp * MAX ( -999.999_wp, MAXVAL ( uyma ) )
     ytext = ytext_char( pr )
 
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 1352)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 ! 
 ! Former revisions:
Index: /palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- /palm/trunk/SOURCE/diffusivities.f90	(revision 1352)
+++ /palm/trunk/SOURCE/diffusivities.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 ! 
 ! Former revisions:
Index: /palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- /palm/trunk/SOURCE/disturb_field.f90	(revision 1352)
+++ /palm/trunk/SOURCE/disturb_field.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -92,6 +92,6 @@
 !-- to store the disturbance
     ALLOCATE( dist2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-    dist1 = 0.0
-    dist2 = 0.0
+    dist1 = 0.0_wp
+    dist2 = 0.0_wp
 
 !
@@ -183,5 +183,5 @@
        DO  i = nxlg, nxrg
           DO  j = nysg, nyng
-             dist1(nzb:nzb_uv_inner(j,i)+1,j,i) = 0.0
+             dist1(nzb:nzb_uv_inner(j,i)+1,j,i) = 0.0_wp
           ENDDO
        ENDDO
Index: /palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- /palm/trunk/SOURCE/disturb_heatflux.f90	(revision 1352)
+++ /palm/trunk/SOURCE/disturb_heatflux.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
Index: /palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- /palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 1352)
+++ /palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -124,5 +124,5 @@
 !
 !--             Pressure is needed in dbar
-                p1 = hyp(k) * 1E-4
+                p1 = hyp(k) * 1E-4_wp
                 p2 = p1 * p1
                 p3 = p2 * p1
@@ -130,5 +130,5 @@
 !
 !--             Temperature needed in degree Celsius
-                pt1 = pt_p(k,j,i) - 273.15
+                pt1 = pt_p(k,j,i) - 273.15_wp
                 pt2 = pt1 * pt1
                 pt3 = pt1 * pt2
@@ -197,5 +197,5 @@
 !
 !--       Pressure is needed in dbar
-          p1 = hyp(k) * 1E-4
+          p1 = hyp(k) * 1E-4_wp
           p2 = p1 * p1
           p3 = p2 * p1
@@ -203,5 +203,5 @@
 !
 !--       Temperature needed in degree Celsius
-          pt1 = pt_p(k,j,i) - 273.15
+          pt1 = pt_p(k,j,i) - 273.15_wp
           pt2 = pt1 * pt1
           pt3 = pt1 * pt2
@@ -269,5 +269,5 @@
 !
 !--    Pressure is needed in dbar
-       p1 = p  * 1E-4
+       p1 = p  * 1E-4_wp
        p2 = p1 * p1
        p3 = p2 * p1
@@ -275,5 +275,5 @@
 !
 !--    Temperature needed in degree Celsius
-       pt1 = pt - 273.15
+       pt1 = pt - 273.15_wp
        pt2 = pt1 * pt1
        pt3 = pt1 * pt2
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1352)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 ! 
 ! Former revisions:
